Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 162523

Summary: lgrind -s crashes
Product: [Fedora] Fedora Reporter: Adam Thompson <athompso>
Component: tetex-lgrindAssignee: Orphan Owner <extras-orphan>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 4   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-07-23 19:54:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 157183    

Description Adam Thompson 2005-07-05 20:08:19 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
lgrind -s dies.

Version-Release number of selected component (if applicable):
tetex-lgrind-3.67-6

How reproducible:
Always

Steps to Reproduce:
1. lgrind -s

Actual Results:  [athompso@server ~]$ lgrind -s
When specifying a language case is insignificant. You can use the
name of the language, or, where available, one of the synonyms in
parantheses. Thus the following are legal and mark Tcl/Tk, Pascal
and Fortran input, respectively:
   lgrind -ltcl/tk ...
   lgrind -lpaSCAL ...
   lgrind -lf ...
The list of languages currently available in your lgrindef file:
*** buffer overflow detected ***: lgrind terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x41)[0x36a565]
lgrind[0x804c1d2]
lgrind[0x804c4b2]
/lib/libc.so.6(__libc_start_main+0xc6)[0x2a0de6]
lgrind[0x8048d51]
======= Memory map: ========
0018f000-001a9000 r-xp 00000000 fd:00 33457811   /lib/ld-2.3.5.so
001a9000-001aa000 r-xp 00019000 fd:00 33457811   /lib/ld-2.3.5.so
001aa000-001ab000 rwxp 0001a000 fd:00 33457811   /lib/ld-2.3.5.so
0028b000-0028c000 r-xp 0028b000 00:00 0 
0028c000-003b0000 r-xp 00000000 fd:00 33458516   /lib/libc-2.3.5.so
003b0000-003b2000 r-xp 00124000 fd:00 33458516   /lib/libc-2.3.5.so
003b2000-003b4000 rwxp 00126000 fd:00 33458516   /lib/libc-2.3.5.so
003b4000-003b6000 rwxp 003b4000 00:00 0 
00521000-0052a000 r-xp 00000000 fd:00 33458520   /lib/libgcc_s-4.0.0-20050520.so.1
0052a000-0052b000 rwxp 00009000 fd:00 33458520   /lib/libgcc_s-4.0.0-20050520.so.1
08047000-0804f000 r-xp 00000000 fd:00 41927737   /usr/bin/lgrind
0804f000-08050000 rw-p 00008000 fd:00 41927737   /usr/bin/lgrind
08050000-0805c000 rw-p 08050000 00:00 0 
09f34000-09f59000 rw-p 09f34000 00:00 0          [heap]
b7eee000-b7eef000 rw-p b7eee000 00:00 0 
b7f17000-b7f19000 rw-p b7f17000 00:00 0 
bfe03000-bfe19000 rw-p bfe03000 00:00 0          [stack]
Aborted

Expected Results:  list of supported languages

Additional info:

Comment 1 Adam Thompson 2005-07-05 20:22:02 UTC
Works fine under FC2.  Don't have a FC3 box handy to test.

Comment 2 Jindrich Novy 2005-07-08 10:09:24 UTC
This package apparently belongs to Extras, reassigning.

Comment 3 Michael Schwendt 2005-07-23 19:54:51 UTC

*** This bug has been marked as a duplicate of 150297 ***